=== debian/changelog ===
chise-base (0.3.0-2.5) unstable; urgency=medium

  * Non-maintainer upload.
  * Call dh_autoreconf to update config.{sub,guess} and aclocal.m4.
    Closes: #727343

 -- Emanuele Rocca <ema@debian.org>  Mon, 19 Aug 2024 14:26:02 +0000

chise-base (0.3.0-2.4) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1062058

 -- Steve Langasek <vorlon@debian.org>  Wed, 28 Feb 2024 15:40:03 +0000

chise-base (0.3.0-2.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Convert to source format 3.0 (Closes: #1043083).

 -- Bastian Germann <bage@debian.org>  Wed, 16 Aug 2023 22:40:51 +0000

chise-base (0.3.0-2.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Using new DH level format. Consequently:
      - debian/compat: removed.
      - debian/control: changed from 'debhelper' to 'debhelper-compat' in
        Build-Depends field and bumped level to 13.
      - Closes: #965454

 -- Guilherme de Paula Xavier Segundo <guilherme.lnx@gmail.com>  Fri, 22 Apr 2022 13:29:50 -0300

chise-base (0.3.0-2.1) unstable; urgency=medium

  * Non-maintainer upload.

  [ Santiago Vila ]
  * Add build-{arch,indep} targets. (Closes: #821970)

 -- James Cowgill <jcowgill@debian.org>  Thu, 15 Mar 2018 14:57:51 +0000

chise-base (0.3.0-2) unstable; urgency=low

  * libchise/Makefile.in (CFLAGS): Added -DHAVE_CONFIG_H
  (Closes: #554044 and #552853).
  Use libtool with --mode (for newer libtool).
  * debian/rules: Enable binary-indep entry (Closes: #302943).
  * debian/compat: Bump to 5.
  * libchise/config.{guess,sub}: Updated (Closes: #538887).
  * libchise/{libtool,m4,configure,Makefile.in}: New libtool.
  * libchise1.shlibs: Removed.
  * Incorporated NMU by Clint Adams.

 -- NIIBE Yutaka <gniibe@fsij.org>  Tue,  9 Feb 2010 13:55:33 +0900

chise-base (0.3.0-1.1) unstable; urgency=low

  * NMU
  * Bump to Standards-Version 3.7.2.
  * Build against libdb-dev (>= 4.6.19-1).  closes: #421934.

 -- Clint Adams <schizo@debian.org>  Sun, 26 Aug 2007 17:49:30 -0400

chise-base (0.3.0-1) unstable; urgency=low

  * New upstream release with the database itself.

 -- NIIBE Yutaka <gniibe@fsij.org>  Sat,  5 Mar 2005 00:06:18 +0900

libchise (0.2.1-2) unstable; urgency=low

  * debian/{postinst,postrm,preinst,prerm}: Removed (were empty).
  * debian/README.Debian: Added explanation.
  * debian/control: Fix short description.

 -- NIIBE Yutaka <gniibe@fsij.org>  Sat, 23 Oct 2004 14:13:55 +0900

libchise (0.2.1-1) unstable; urgency=low

  * Initial Release.
    closes: Bug#262477

 -- NIIBE Yutaka <gniibe@fsij.org>  Sat, 31 Jul 2004 16:04:11 +0900
