=== debian/control ===
Source: chise-base
Priority: optional
Section: devel
Maintainer: NIIBE Yutaka <gniibe@fsij.org>
Build-Depends: dpkg-dev (>= 1.22.5), debhelper-compat (= 13), libdb-dev (>= 4.8)
Standards-Version: 3.8.4

Package: chise-db
Section: devel
Architecture: all
Depends: ${misc:Depends}
Description: CHISE db, the character information database
 The CHISE (CHaracter Information Service Environment) project
 attempts to collect and organize into a Knowledge-Base information
 about characters in the scripts of the world.
 This package provides the database itself.  Please use this with
 libchise, the C language binding of CHISE database.

Package: libchise1t64
Provides: ${t64:Provides}
Replaces: libchise1
Breaks: libchise1 (<< ${source:Version})
Section: libs
Architecture: any
Depends: chise-db, ${shlibs:Depends}, ${misc:Depends}
Description: C language binding of CHISE, the character information database
 The CHISE (CHaracter Information Service Environment) project
 attempts to collect and organize into a Knowledge-Base information
 about characters in the scripts of the world.
 libchise is C language binding of CHISE database.

Package: libchise-dev
Section: libdevel
Architecture: any
Depends: libchise1t64 (= ${binary:Version}), ${misc:Depends}
Description: C language binding of CHISE, the character information database
 The CHISE (CHaracter Information Service Environment) project
 attempts to collect and organize into a Knowledge-Base information
 about characters in the scripts of the world.
 libchise is C language binding of CHISE database.
