=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
#
# GNU copyright 1997 to 1999 by Joey Hess.  (debian/rules in debhelper).

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1


# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)


CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

# shared library versions, option 1
version=1.0.1
major=1
# option 2, assuming the library is created as src/.libs/libfoo.so.2.0.5 or so
#version=`ls src/.libs/lib*.so.* | \
# awk '{if (match($$0,/[0-9]+\.[0-9]+\.[0-9]+$$/)) print substr($$0,RSTART)}'`
#major=`ls src/.libs/lib*.so.* | \
# awk '{if (match($$0,/\.so\.[0-9]+$$/)) print substr($$0,RSTART+4)}'`

libchise/config.status: libchise/configure
	dh_testdir
	# Make a backup of files modified by the build process so that the
	# package can be built twice in a row
	for file in config.sub config.guess libtool config.h.in configure aclocal.m4; do cp libchise/$$file debian/$$file.bkp; done
	cd libchise && aclocal
	dh_autoreconf
	cd libchise && CFLAGS="$(CFLAGS)" ./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info


build-arch: build
build-indep: build
build: build-stamp
build-stamp: libchise/config.status
	dh_testdir
	cd libchise && $(MAKE)
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp 
	cd libchise && [ ! -f Makefile ] || $(MAKE) distclean
	dh_autoreconf_clean 
	dh_clean 
	-for file in config.sub config.guess libtool config.h.in configure aclocal.m4; do mv debian/$$file.bkp libchise/$$file ; done

install: build
	dh_testdir
	dh_testroot
	dh_installdirs
	mkdir -p $(CURDIR)/debian/tmp/usr/include
	mkdir -p $(CURDIR)/debian/tmp/usr/lib
	mkdir -p $(CURDIR)/debian/tmp/usr/share
	cd libchise && $(MAKE) install DESTDIR=$(CURDIR)/debian/tmp

install-chise-db:
	dh_testdir
	dh_testroot
	dh_installdirs
	mkdir -p $(CURDIR)/debian/tmp/usr/lib
	mkdir -p $(CURDIR)/debian/tmp/usr/share
	tar cCf chise-db - lib share/chise \
	  | tar xCSf $(CURDIR)/debian/tmp/usr -

binary-common:
	dh_testdir
	dh_testroot
	dh_installchangelogs  libchise/ChangeLog
	dh_installdocs
	dh_installexamples
	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip -Xchise-db
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_python
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

# Build architecture-independent files here.
binary-indep: install-chise-db
	$(MAKE) -f debian/rules DH_OPTIONS=-i binary-common

# Build architecture-dependent files here.
binary-arch: build install
	$(MAKE) -f debian/rules DH_OPTIONS=-a binary-common

binary: binary-indep binary-arch
.PHONY: build build-arch build-indep clean binary-indep binary-arch binary install
