=== debian/watch ===
# Site		Directory		Pattern			Version	Script
version=2
http://www.kanji.zinbun.kyoto-u.ac.jp/projects/chise/dist/libchise/libchise-(.*)\.tar\.gz	debian	uupdate
